Subject: bug#20741: 24.4; flyspell doesn't work with abbreviations ending in a period

From: Stephen Berman <[email-masked]>
Date: Mon, 14 Feb 2022 16:07:43 +0100

On Mon, 14 Feb 2022 13:43:12 +0000 Reuben Thomas via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> On Mon, 14 Feb 2022 at 13:35, Eli Zaretskii <[email-masked]> wrote:
>
>  I don't think I understand what this means in practice.  "Use the
>  spell-checker" how?  Do you mean we should not break words on
>  punctuation characters, or do you mean not to break them only on '.',
>  or do you mean something else?
>
>  Emacs is widely used to edit program sources, where stuff like
>  "file.attribute" and "list-my-packages" happens quite frequently.
>
> I wasn't considering this case, and this issue is about checking text
> (or comments or strings) where you can just feed the entire thing to
> the spellchecker, and not have to isolate words "manually", as in
> program source.
>
> In program source (i.e. not strings or comments), the issue currently
> under discussion won't arise, as "." cannot be part of an identifier.

In some languages it can, e.g. R: "Identifiers consist of a sequence of
letters, digits, the period (‘.’) and the underscore."
(https://cran.r-project.org/doc/manuals/r-release/R-lang.html#Identifiers)

Steve Berman